DESCRIPTION = "barebox state tool (dt)"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=9ac2e7cff1ddaf48b6eab6028f23ef88"
PR = "r3"

SRC_URI = "\
	git://git.pengutronix.de/git/tools/dt-utils.git\
	file://0001-barebox-state-fix-typo.patch\
	file://0002-barebox-state-add-support-for-uint8-variables.patch\
	file://hardcode-layout-values.patch\
"

PACKAGES =+ "libdt-utils barebox-fdtdump"

FILES_libdt-utils = "${libdir}/libdt-utils.so.*"
FILES_barebox-fdtdump = "${bindir}/fdtdump"

S = "${WORKDIR}/git"

SRCREV = "2e87b7e47752380219c1f12b3dcbb5db706936e5"

DEPENDS = "udev"

inherit autotools pkgconfig gettext
